Assets - List Container Sas
List the Asset URLs
Lists storage container URLs with shared access signatures (SAS) for uploading and downloading Asset content. The signatures are derived from the storage account keys.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/assets/{assetName}/listContainerSas?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
The Media Services account name. |
|
asset
|
path | True |
|
The Asset name. |
|
resource
|
path | True |
|
The name of the resource group within the Azure subscription. |
|
subscription
|
path | True |
|
The unique identifier for a Microsoft Azure subscription. |
|
api-version
|
query | True |
|
The version of the API to be used with the client request. |
Request Body
| Name | Type | Description |
|---|---|---|
| expiryTime |
|
The SAS URL expiration time. This must be less than 24 hours from the current time. |
| permissions |
The permissions to set on the SAS URL. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Detailed error information. |
Examples
List Asset SAS URLs
Sample Request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/assets/ClimbingMountBaker/listContainerSas?api-version=2021-11-01
{
"permissions": "ReadWrite",
"expiryTime": "2018-01-01T10:00:00.007Z"
}
Sample Response
{
"assetContainerSasUrls": [
"https://storage0.blob.core.windows.net/asset-89af1750-e681-4fbe-8c4c-9a5567867a6b?sr=b&sig=<secret-value-from-key-1>&se=2018-01-01T10:00:00Z&sp=lrw",
"https://storage0.blob.core.windows.net/asset-89af1750-e681-4fbe-8c4c-9a5567867a6b?sr=b&sig=<secret-value-from-key-2>&se=2018-01-01T10:00:00Z&sp=lrw"
]
}
Definitions
|
Asset |
The permissions to set on the SAS URL. |
|
Asset |
The Asset Storage container SAS URLs. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
List |
The parameters to the list SAS request. |
AssetContainerPermission
The permissions to set on the SAS URL.
| Name | Type | Description |
|---|---|---|
| Read |
|
The SAS URL will allow read access to the container. |
| ReadWrite |
|
The SAS URL will allow read and write access to the container. |
| ReadWriteDelete |
|
The SAS URL will allow read, write and delete access to the container. |
AssetContainerSas
The Asset Storage container SAS URLs.
| Name | Type | Description |
|---|---|---|
| assetContainerSasUrls |
|
The list of Asset container SAS URLs. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ListContainerSasInput
The parameters to the list SAS request.
| Name | Type | Description |
|---|---|---|
| expiryTime |
|
The SAS URL expiration time. This must be less than 24 hours from the current time. |
| permissions |
The permissions to set on the SAS URL. |